UNLOCKPT(P)

NAME
unlockpt - unlock a pseudo-terminal master/slave pair

SYNOPSIS

#include <stdlib.h>

int unlockpt(int fildes);

DESCRIPTION

The unlockpt() function shall unlock the slave pseudo-terminal device associated with the master to which fildes refers.

Conforming applications shall ensure that they call unlockpt() before opening the slave side of a pseudo-terminal device.

RETURN VALUE

Upon successful completion, unlockpt() shall return 0. Otherwise, it shall return -1 and set errno to indicate the error.

ERRORS

The unlockpt() function may fail if:

EBADF
    The fildes argument is not a file descriptor open for writing.

EINVAL
    The fildes argument is not associated with a master pseudo-terminal device.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

grantpt() , open() , ptsname() , the Base Definitions volume of IEEE Std 1003.1-2001, <stdlib.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .